Subject: bug#47431: Process Whois connection broken by remote peer.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Mar 2021 16:44:24 +0300

> From: Hongyi Zhao <[email-masked]>
> Date: Sat, 27 Mar 2021 20:29:24 +0800
> Cc: [email-masked]
> 
> > > >   open-network-stream: make client process failed: Connection timed out, :name, Whois, :buffer, *Whois*, :host, rs.internic.net, :service, 43, :nowait, nil, :tls-parameters, nil, :coding, nil
> > >
> > > How to obtain the above debug information?
> >
> > It's in *Messages*.
> 
> But for my case, I see the following in *Messages* buffer:
> 
> Eager macro-expansion failure: (wrong-type-argument listp [(first-item
> . rest-items) (sp-get-list-items)])
> For information about GNU Emacs and the GNU system, type C-h C-a.

I think that's unrelated, so I don't understand why it hangs
indefinitely for you.  Are you sure you waited enough time before
giving up?